KReplaceDialog Class Reference
Main classes | Find and Replace classes

`#include <kreplacedialog.h>`

Inheritance diagram for KReplaceDialog:

## Public Types

enum | Options { PromptOnReplace = 256, BackReference = 512 }
Public Types inherited from KFindDialog
enum | Options { WholeWordsOnly = 1, FromCursor = 2, SelectedText = 4, CaseSensitive = 8, FindBackwards = 16, RegularExpression = 32, FindIncremental = 64, MinimumUserOption = 65536 }

## Public Member Functions

| KReplaceDialog (QWidget *parent=0, const char *name=0, long options=0, const QStringList &findStrings=QStringList(), const QStringList &replaceStrings=QStringList(), bool hasSelection=true)
virtual | ~KReplaceDialog ()
void | setReplacementHistory (const QStringList &history)
QStringList | replacementHistory () const
void | setOptions (long options)
long | options () const
QString | replacement () const
QWidget * | replaceExtension ()
Public Member Functions inherited from KFindDialog
| KFindDialog (QWidget *parent=0, const char *name=0, long options=0, const QStringList &findStrings=QStringList(), bool hasSelection=false)
| KFindDialog (bool modal, QWidget *parent=0, const char *name=0, long options=0, const QStringList &findStrings=QStringList(), bool hasSelection=false)
virtual | ~KFindDialog ()
void | setFindHistory (const QStringList &history)
QStringList | findHistory () const
void | setHasSelection (bool hasSelection)
void | setHasCursor (bool hasCursor)
void | setSupportsBackwardsFind (bool supports)
void | setSupportsCaseSensitiveFind (bool supports)
void | setSupportsWholeWordsFind (bool supports)
void | setSupportsRegularExpressionFind (bool supports)
void | setOptions (long options)
long | options () const
QString | pattern () const
void | setPattern (const QString &pattern)
QWidget * | findExtension ()

## Protected Slots

void | slotOk ()
virtual void | showEvent (QShowEvent *)
Protected Slots inherited from KFindDialog
void | slotOk ()
void | slotSelectedTextToggled (bool)
void | showPatterns ()
void | showPlaceholders ()
void | textSearchChanged (const QString &)

## Additional Inherited Members

Protected Member Functions inherited from KFindDialog
virtual void | showEvent (QShowEvent *)
Protected Member Functions inherited from KDialog
virtual void | keyPressEvent (QKeyEvent *)

## Detailed Description

A generic "replace" dialog.

Author
  S.R.Haque srhaq.nosp@m.ue@i.nosp@m.ee.or.nosp@m.g

Detail:

This widget inherits from KFindDialog and implements the following additional functionalities: a replacement string object and an area for a user-defined widget to extend the dialog.

Example:

To use the basic replace dialog:

To use your own extensions:

Definition at line 59 of file kreplacedialog.h.

## Member Enumeration Documentation

enum KReplaceDialog::Options

Options.

Enumerator
PromptOnReplace | Should the user be prompted before the replace operation?

Definition at line 69 of file kreplacedialog.h.

## Constructor & Destructor Documentation

KReplaceDialog::KReplaceDialog | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | long | options = `0`,
|  | const QStringList & | findStrings = `QStringList()`,
|  | const QStringList & | replaceStrings = `QStringList()`,
|  | bool | hasSelection = `true`
| ) |  |

Construct a replace dialog.read-only or rather select-only combo box with a parent object and a name.

Parameters

  parent | The parent object of this widget
  name | The name of this widget
  options | A bitfield of the Options to be enabled.
  findStrings | A QStringList to insert in the combo box of text to find
  replaceStrings | A QStringList to insert in the combo box of text to replace with
  hasSelection | Whether a selection exists

Definition at line 45 of file kreplacedialog.cpp.

KReplaceDialog::~KReplaceDialog | ( |  | ) |

virtual

Destructor.

Definition at line 54 of file kreplacedialog.cpp.

## Member Function Documentation

long KReplaceDialog::options | ( |  | ) | const

Returns the state of the options.

Disabled options may be returned in an indeterminate state.

Returns
  The options.

See also
  setOptions, Options, KFindDialog::Options

Definition at line 75 of file kreplacedialog.cpp.

QWidget * KReplaceDialog::replaceExtension | ( |  | ) |

Returns an empty widget which the user may fill with additional UI elements as required.

The widget occupies the width of the dialog, and is positioned immediately the regular expression support widgets for the replacement string.

Returns
  An extensible QWidget.

Definition at line 87 of file kreplacedialog.cpp.

QString KReplaceDialog::replacement | ( |  | ) | const

Returns the replacement string.

Returns
  The replacement string.

Definition at line 98 of file kreplacedialog.cpp.

QStringList KReplaceDialog::replacementHistory | ( |  | ) | const

Returns the list of history items.

Returns
  The replacement history.

See also
  setReplacementHistory

Definition at line 103 of file kreplacedialog.cpp.

void KReplaceDialog::setOptions | ( | long | options | ) |

Set the options which are enabled.

Parameters

  options | The setting of the Options.

See also
  Options, KFindDialog::Options

Definition at line 112 of file kreplacedialog.cpp.

void KReplaceDialog::setReplacementHistory | ( | const QStringList & | history | ) |

Provide the list of `strings` to be displayed as the history of replacement strings.

`strings` might get truncated if it is too long.

Parameters

  history | The replacement history.

See also
  replacementHistory

Definition at line 119 of file kreplacedialog.cpp.

The documentation for this class was generated from the following files:

- kreplacedialog.h
- kreplacedialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys